play(1)

NAME
play, rec - play and record sound files

SYNOPSIS
play [ general options ] [ format options ] infile1 [ [ format options ] infile2 ... ] [effect]

rec [ general options ] [format options ] outfile [effect]

DESCRIPTION
play and rec is a command line front end to the sox(1) program. It will play/record audio files to/from unix-style audio devices. It can optionally apply audio effects to the file.

When playing audio files, more then one input file can be specified. If more than one is specified then they are concatenated together while playing. In this case, it has a restriction that all input files must be of the same data type and sample rates. When playing audio files without headers, format options may be specified to inform sox of the files sample rate, data size and encoding, and number of channels. When recording audio data, this same information needs to be presented so that the audio device can be placed into the proper mode.

GENERAL OPTIONS
A summary of general options are included below. They should only be specified once on the command line. For a complete description of options and their values, see the sox(1) man page.

-d [device], --device=[device]
    Specify a different device to play/record the sound file to/from.

-h, --help
    Show summary of options.

-V, --verbose
    Print verbose information during processing

--version
    Show version of play/rec.

FORMAT OPTIONS
A summary of format options are included below. These options apply to the filename they immediately preceed. For a complete description of options and their values, see the sox(1) man page.

-c [channels], --channels=[channels]
    Define the number of channels in the file.

--file=[filename]
    Specify the filename.

-f [format], --format=[format]
    Specify bit format of the sample. One of s, u, U, A, a, or g.

-r [rate], --rate=[rate]
    Specify the sample rate of the audio data (samples per second).

-s [size], --size=[size]
    Specify the width of each sample. One of b, w, l, f, d, or D.

-t [type], --type=[type]
    Specify audio file format to use. Useful if it can not be automatically determined.

-v [volume], --volume=[volume]
    Change the audio volume

-x , --xinu
    Reverse the byte order of the sample (only works with 16 and 32-bit data).

Description of effects are described in the
    sox(1) man page.

EFFECTS
For a complete description of effects and their values, see the sox(1) man page.

SEE ALSO
 sox(1)
 soxexam(1)

AUTHOR
This manual page was written by Guenter Geiger <geiger@iem.mhsg.ac.at>, for the Debian GNU/Linux system.

Updates by Anonymous.